# Add payment methods to a channel

Adds one or more payment methods (currencies) to an existing channel. Each currency
must be supported by the channel's associated account. Returns the updated channel.

Endpoint: POST /v1/collections/channels/{channel_id}/payment-methods
Version: 1.0.0
Security: Bearer

## Path parameters:

  - `channel_id` (string, required)
    Unique identifier of the channel
    Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"

## Request fields (application/json):

  - `payment_currencies` (array, required)
    List of currencies to add as payment methods on this channel.
    Example: [{"currency":"USDC"}]

  - `payment_currencies.currency` (string, required)
    Currency code (uppercase letters, 3-10 characters)
    Example: "USDC"

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique identifier for the channel
    Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"

  - `payer` (object, required)
    Payer partner details

  - `payer.id` (string, required)
    Unique identifier for the payer partner
    Example: "e471b938-98ad-45e4-b144-53a556ea047d"

  - `payer.name` (string, required)
    Full name of the payer partner
    Example: "Nigerian Imports Ltd."

  - `payer.email` (string, required)
    Email address of the payer partner
    Example: "nigerian@imports.com"

  - `beneficiary` (object, required)
    Beneficiary partner details

  - `beneficiary.id` (string, required)
    Unique identifier of the beneficiary partner
    Example: "01467076-8bb0-41c1-ad54-5751dd4a9e80"

  - `beneficiary.name` (string, required)
    Full name of the beneficiary partner
    Example: "Hong Kong Exports Ltd."

  - `beneficiary.email` (string, required)
    Email address of the beneficiary partner
    Example: "hongkong@exports.com"

  - `account` (object, required)
    Account associated to this channel, which funds will be routed to

  - `account.id` (string, required)
    Unique identifier for the account
    Example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"

  - `account.beneficiary_id` (string, required)
    Unique identifier of the beneficiary partner
    Example: "291ecf34-a01d-466a-b0fd-662a88b7a1bb"

  - `account.currency` (string, required)
    Currency for the account
    Example: "USD"

  - `account.type` (string, required)
    Type of account
    Enum: "FIAT", "CRYPTO"

  - `payment_methods` (array, required)
    Available payment methods with full deposit instructions

  - `payment_link` (string, required)
    URL for payer UI to access this channel
    Example: "https://collections.ripplenet.com/pay/channel/3fa85f64-5717-4562-b3fc-2c963f66afa6"

  - `status` (string, required)
    Status of the channel
    Enum: "ACTIVE", "INACTIVE", "CLOSED"

  - `reason` (string,null)
    Reason for current status (if applicable)

  - `created_at` (string, required)
    ISO 8601 timestamp when the channel was created
    Example: "2025-09-18T22:54:00.542Z"

  - `updated_at` (string, required)
    ISO 8601 timestamp when the channel was last updated
    Example: "2025-09-18T22:54:00.542Z"

## Response 400 fields (application/json):

  - `code` (string, required)
    Error code identifying the type of error

  - `reason` (string, required)
    Human-readable error message


